Subject: Re: bug#57762: dragon-drop package's binary is missing

From: [email-masked]
Date: Wed, 14 Sep 2022 14:27:09 +0000

14 de septiembre de 2022, 5:07, "bdju" escribió:

> 
> On Tue Sep 13, 2022 at 6:55 AM CDT, bdju wrote:
> 
> > 
> > On Mon Sep 12, 2022 at 10:32 PM CDT, bdju via Bug reports for GNU Guix wrote:
> >  After upgrades I no longer have the `dragon` command that is used by the
> >  dragon-drop package, making the program unusable. The package is still
> >  in my manifest file that I applied, still shows up in a search, and I
> >  also tried to manually `guix install` it again. No luck.
> > 
> >  I use this in a lot of scripts due to gtk file pickers crashing software
> >  for me a lot and trying to avoid them. A fix would be very much
> >  appreciated.
> > 
> >  I found that doing the following:
> >  find $(guix build dragon-drop)
> > 
> >  revealed that `dragon` is inside .../bin/bin instead of just /bin.
> >  Perhaps this could cause issues with setting the PATH properly.
> > 
> 
> I did a rollback until dragon worked again, then did a whereis on it
> output shows just one bin dir and not two
> /gnu/store/njlv1a4b1pvcs42dy0wwgcxr6cx2wf55-profile/bin/dragon
> 
> Hopefully this info helps someone figure out the problem.
>

Hello, I did this part to solve this problem, but they still do not approve it:

https://issues.guix.gnu.org/57761

>From 7b4913915bb174c53a7c09455251317af6a3f2ba Mon Sep 17 00:00:00 2001
From: arkhan <[email-masked]>
Date: Mon, 12 Sep 2022 21:45:05 -0500
Subject: [PATCH] [PATCH] gnu: dragon-drop: Fix build prefix

* gnu/packages/gtk.scm (dragon-drop): Fix prefix
---
 gnu/packages/gtk.scm | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 4beaebf64a..488d1fb836 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -2586,8 +2586,7 @@ (define-public dragon-drop
       #:make-flags
       (list (string-append "CC=" ,(cc-for-target))
             ;; makefile uses PREFIX for the binary location
-            (string-append "PREFIX=" (assoc-ref %outputs "out")
-                           "/bin"))
+            (string-append "PREFIX=" (assoc-ref %outputs "out")))
       #:phases
       (modify-phases %standard-phases
         (delete 'configure))))                    ; no configure script
--
2.37.3